Subject: Re: [PATCH net-next] net: ncsi: check for netlink-driven responses before requiring a handler

From: Simon Horman <[email-masked]>
Date: Sat, 2 Nov 2024 13:58:43 +0000

On Mon, Oct 28, 2024 at 03:08:34PM +0800, Jeremy Kerr wrote:
> Currently, the NCSI response path will look up an opcode-specific
> handler for all incoming response messages. However, we may be receiving
> a response from a netlink-generated request, which may not have a
> corresponding in-kernel handler for that request opcode. In that case,
> we'll drop the response because we didn't find a opcode-specific
> handler.
> 
> Perform the lookup for the pending request (and hence for
> NETLINK_DRIVEN) before requiring an in-kernel handler, and defer the
> requirement for a corresponding kernel request until we know it's a
> kernel-driven command.
> 
> Signed-off-by: Jeremy Kerr <[email-masked]>

Hi Jeremy,

Not strictly related to this patch, but I do wonder if the log messages
should be rate limited, which doesn't seem to be the case at this time.

Regardless, this looks good to me.

Reviewed-by: Simon Horman <[email-masked]>

...